.TH Find L

.SH NAME
Find - searches recursively from the current directory (default) or from the
user's home directory for filenames which match a given string.

.SH SYNOPSIS
Find [-dfghilns] [string] filename...

.SH DESCRIPTION
.I Find
will search recursively through the current directory (default) or the
user's home directory for filenames which match the given string.  The
matching string may be a Perl regular expression if enclosed in single
quotes.  The optional
.I string
argument is only applicable when the option -g is selected.  In this case
each matching file will be searched for the pattern
.I string.
This may be a Perl regular expression.

.SH OPTIONS
.TP
.B \-d
will only return directories which match.
.TP
.B \-f
will only return files which match.
.TP
.B \-g
search the matching files for the specified
.I string.
.TP
.B \-h
start from the user's home directory instead of the current directory.
.TP
.B \-i
case insensitive matching.  If the files are to be searched for matching
strings, then the user will be asked which of the two types of matching will
be case insensitive.
.TP
.B \-l
print only file names with matching strings when the -g option is specified.
.TP
.B \-n
will return things which don't match.
.TP
.B \-s
will return only symbollic links.

.SH FILES
.TP 2.2i
.I %%binpath-name%%/Find
executable script.

.SH SEE ALSO
perlre

.SH BUGS
All options must be grouped.  Thus "-d -n" will not work.  You must use "-dn".

.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
