.TH CHANGE_STRING L

.SH NAME
change_string - changes one string to another in a specified file.

.SH SYNOPSIS
change_string [-dilnqr] string1 string2 [filename...]

.SH DESCRIPTION
.B WARNING:
.I change_string
will alter files (although backups are made) so you should know what you
are doing!!  Use the -q option if you are unsure.  You have been warned!!

.I change_string
will examine a file and change every occurence of
.I string1
with
.I string2.
in the file
.I filename
(default is standard input).  Here
.I filename
can be a Perl regular expression if you enclose it in ' '.  The
strings may also be regular expressions, but the replacement string will
be taken literally upon replacement.  The original file is saved as
.I filename.bak

.SH OPTIONS
.TP
.B \-b
Will change only binary files.  If this is not set, only text files are
changed.
.TP
.B \-d
Will leave file state (i.e., time stamp) on disk unchanged.
.TP
.B \-i
Matches are case insensitive.
.TP
.B \-l
Treats symbolic links as files and so changes the file to which the link
refers.
.TP
.B \-n
The new file is saved as
.I filename.new
and the original file is left intact.
.TP
.B \-q
Queries the user for changes each time a match is found.  At each query you may
answer one of {n,q,x,y}.  `n' means you do not want to replace this
occurence, `q' means you wish to quit this file and save the replacements
made to this point, `x' means you want to exit this file and make no
replacements (including those which you may previously have agreed to),
and `y' means you want to replace this occurence.
.TP
.B \-r
Recursively go through the current directory and all subdirectories.

.SH FILES
.TP 2.2i
.I %%binpath-name%%/change_string
executable script.

.SH SEE ALSO
perlre

.SH BUGS
All options must be grouped.  Thus "-i -c" will not work.  You must use "-ic".

.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
